﻿using System.Windows;
using Telerik.Charting;

namespace wpf_ChartView_1067907
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.chart1.SizeChanged += this.chart1_SizeChanged;
            this.chart1.MouseMove += this.chart1_MouseMove;
        }

        void chart1_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            var radCartesianChart = this.chart1;

            var dataPosition = new DataTuple(1000.0, 0.0);

            //Convert from graph data X/Y (Hz and dB) into screen X/Y (pixels)
            var screenPosition = radCartesianChart.ConvertDataToPoint(dataPosition);

            //Convert right back to see if it works..from screen X/Y (pixels) back to Graph X/Y (Hz and dB)
            DataTuple dataPoint = radCartesianChart.ConvertPointToData(screenPosition);

            this.tb1.Text = "[" + dataPosition.FirstValue + ", " + dataPosition.SecondValue + "]";
            this.tb2.Text = "(" + screenPosition.X + ", " + screenPosition.Y + ")";
            this.tb3.Text = "[" + dataPoint.FirstValue + ", " + dataPoint.SecondValue + "]";

            if (dataPoint.FirstValue == null)
            {
                var ohNo = "Help! I'm null and I can't get up!";
                this.tb3.Text = ohNo;
            }
        }

        void chart1_MouseMove(object sender, System.Windows.Input.MouseEventArgs e)
        {
            //Point pos = e.GetPosition(this.chart1);
            //this.tb1.Text = "(" + pos.X + ", " + pos.Y + ")";

            //DataTuple dataTuple = this.chart1.ConvertPointToData(pos);
            //this.tb2.Text = "[" + dataTuple.FirstValue + ", " + dataTuple.SecondValue + "]";

            //Point point = this.chart1.ConvertDataToPoint(dataTuple);
            //this.tb3.Text = "(" + point.X + ", " + point.Y + ")";
        }
    }
}
